
// Completare la sezione "iva" nel body
// Manca il campo "causale" nella section footer
// Completare con i messaggi di Matteo.

// Una volta completato, togliere dalla relazione i files che non servono.

USE 34
JOIN 33 INTO CODNUM==CODNUM ANNO==ANNO PROVV==PROVV NDOC==NDOC
JOIN 17 TO 33 INTO TIPOCF==TIPOCF CODCF==CODCF
JOIN 20 TO 33 INTO TIPOCF==TIPOCF CODCF==CODCF
JOIN 16 TO 33 INTO TIPOCF==TIPOCF CODCF==CODCF CODIND==CODINDSP
JOIN 16 TO 17 ALIAS 116 INTO TIPOCF==TIPOCF CODCF==CODCF CODIND==CODINDSP
JOIN 47 INTO CODART==CODART
JOIN %CPG TO 33 ALIAS 201 INTO CODTAB==CODPAG
JOIN %AGE TO 33 ALIAS 202 INTO CODTAB==CODAG
JOIN %POR TO 33 ALIAS 203 INTO CODTAB==CODPORTO
JOIN %BAN TO 33 ALIAS 204 INTO CODTAB==CODABIA+CODCABA
JOIN %VET TO 33 ALIAS 205 INTO CODTAB==CODVETT1
JOIN %ASP TO 33 ALIAS 206 INTO CODTAB==ASPBENI1

END
DESCRIPTION
BEGIN
  34->* "Righe documenti di vendita"
  33->* "Documenti di vendita"
  17->* "Clienti/Fornitori per vendite"
  20->* "Clienti/Fornitori"
  16->* "Indirizzi di spedizione (destinazione)"
  116@->* "Indirizzi di spedizione (destinatario)"
  47->* "Anagrafica magazzino"
  201@->* "Tabella condizioni di pagamento"
  202@->* "Tabella agenti"
  203@->* "Tabella porto"
  204@->* "Tabella banche"
  205@->* "Tabella vettori"
  206@->* "Tabella apsetto beni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 12
  MODULE BUFFETTI_FATTURA_ACCOMPAGNATORIA_01
END

/////////////////////////////////////////////////
SECTION HEADER ODD 27

STRINGA 1 36 1
BEGIN
 KEY "nome ditta"
 PROMPT 5 1 ""
 MESSAGE _DITTA !RAGSOC
END

STRINGA 2 36 1
BEGIN
 KEY "indirizzo ditta"
 PROMPT 5 2 ""
 MESSAGE _DITTA !IND
END

STRINGA 3 5 1
BEGIN
 KEY "cap ditta"
 PROMPT 5 3 ""
 MESSAGE _DITTA !CAP
END

STRINGA 4 30 1
BEGIN
 KEY "comune ditta"
 PROMPT 12 3 ""
 MESSAGE _DITTA !COM
END

STRINGA 5 5 1
BEGIN
 KEY "scritta p.iva"
 PROMPT 5 4 "P.IVA"
END

STRINGA 6 16 1
BEGIN
 KEY "partita iva ditta"
 PROMPT 11 4 ""
 MESSAGE _DITTA !PIVA
END

STRINGA 7 9 1
BEGIN
 KEY "scritta cod.fisc."
 PROMPT 5 5 "COD.FISC"
END

STRINGA 8 16 1
BEGIN
 KEY "codice fiscale ditta"
 PROMPT 15 5 ""
 MESSAGE _DITTA !CF
END

NUMERO 9
BEGIN
 KEY "reg.soc.trib...."
 PROMPT 5 6 ""
END

NUMERO 10
BEGIN
 KEY "reg.soc.trib...."
 PROMPT 15 6 ""
END

STRINGA 9 
BEGIN
 KEY "reg.soc.trib...."
 PROMPT 5 6 "REG.SOC.TRIB.R.E. 8897"
END

NUMERO 12
BEGIN
 KEY "c.c.i.a.a. 143011"
 PROMPT 5 7 "C.C.I.A.A. 143011"
END

STRINGA 14 36 2
BEGIN
 KEY "destinatario, ditta"
 PROMPT 44 10 ""
 FIELD 20->RAGSOC
END

STRINGA 15 36 2
BEGIN
 KEY "destinatario, indirizzo"
 PROMPT 44 12 ""
 FIELD 20->INDCF
END

STRINGA 16 5 1
BEGIN
 KEY "destinatario, cap"
 PROMPT 44 14 ""
END

STRINGA 17 30 2
BEGIN
 KEY "destinatario, comune"
 PROMPT 50 14 ""
END

STRINGA 18 2 1
BEGIN
 KEY "destinatario, provincia"
 PROMPT 77 15 ""
END

STRINGA 19 8 1
BEGIN
 KEY "data bolla"
 PROMPT 58 19 ""
 FIELD 33->DATADOC
END

STRINGA 20 5 1
BEGIN
 KEY "numero bolla"
 PROMPT 67 19 ""
 FIELD 33->NDOC
END

STRINGA 21 30 1
BEGIN
 KEY "destinazione, indirizzo"
 PROMPT 1 10 ""
 FIELD 16->INDIR
END

STRINGA 84 30 1
BEGIN
 KEY "destinazione, cap"
 PROMPT 1 12 ""
END

STRINGA 85 50 1
BEGIN
 FLAGS "H"
 PROMPT 1 1 ""
 FIELD 16->COM
END

STRINGA 86 30 1
BEGIN
 KEY "destinazione, comune"
 PROMPT 1 14 ""
END

STRINGA 22 26 1
BEGIN
 KEY "ordine"
 PROMPT 1 19 ""
 FIELD 33->NUMDOCRIF
END

DATA 23 8 1
BEGIN
 KEY "data conferma"
 PROMPT 28 19 ""
 FIELD 33->DATADOCRIF
 FORMAT "1444-"
END

STRINGA 24 48 1
BEGIN
 KEY "condizioni di pagamento"
 PROMPT 1 21 ""
 FIELD 201@->S0
END

STRINGA 25 29 1
BEGIN
 KEY "banca d'appoggio"
 PROMPT 50 21 ""
 FIELD 204@->S0
END

STRINGA 26 8 1
BEGIN
 KEY "codice cliente"
 PROMPT 5 23 ""
 FIELD 33->CODCF
END

STRINGA 27 16 1
BEGIN
 KEY "partita iva cliente"
 PROMPT 16 23 ""
 FIELD 17->PAIV
END

STRINGA 28 25 1
BEGIN
 KEY "porto"
 PROMPT 35 23 ""
 FIELD 203@->S0
END

STRINGA 29 3 1
BEGIN
 KEY "codice agente"
 PROMPT 1 23 ""
 FIELD 33->CODAG
END

STRINGA 30 21 1
BEGIN
 KEY "vettore"
 PROMPT 59 23 ""
END

END

/////////////////////////////////////////////////
SECTION BODY ODD 1

STRINGA 31 8 1
BEGIN
 KEY "codice articolo"
 PROMPT 1 1 ""
 FIELD 34->CODART
END

STRINGA 32 30 1
BEGIN
 KEY "descrizione articolo"
 PROMPT 17 1 ""
 FIELD 47->DESCR
END

NUMERO 33
BEGIN
 KEY "unita' di misura"
 PROMPT 46 1 ""
END

STRINGA 34 6 1
BEGIN
 KEY "quantita'"
 PROMPT 10 1 ""
 FIELD 34->QTA
END

STRINGA 35 8 1
BEGIN
 KEY "prezzo unitario"
 PROMPT 48 1 ""
END

STRINGA 36 8 1
BEGIN
 KEY "sconto"
 PROMPT 57 1 ""
END

STRINGA 37 9 1
BEGIN
 KEY "importo netto"
 PROMPT 66 1 ""
END

STRINGA 38 3 1
BEGIN
 KEY "iva"
 PROMPT 76 1 ""
END

END

/////////////////////////////////////////////////
SECTION FOOTER LAST 19

STRINGA 71 5 1
BEGIN
 KEY "messaggio 'segue' in coda"
 PROMPT 68 19 "SEGUE"
END

END

/////////////////////////////////////////////////
SECTION FOOTER ODD 19

STRINGA 39 11 1
BEGIN
 KEY "spese di trasporto"
 PROMPT 43 52 ""
END

STRINGA 40 11 1
BEGIN
 KEY "spese di incasso"
 PROMPT 55 50 ""
END

STRINGA 41 11 1
BEGIN
 KEY "spese bolli"
 PROMPT 55 52 ""
END

STRINGA 42 21 1
BEGIN
 KEY "descrizione altri 1"
 PROMPT 22 48 ""
END

STRINGA 43 12 1
BEGIN
 KEY "imponibile 1"
 PROMPT 4 48 ""
END

STRINGA 44 3 1
BEGIN
 KEY "iva 1"
 PROMPT 17 48 ""
END

STRINGA 45 11 1
BEGIN
 KEY "imposta 1"
 PROMPT 22 48 ""
END

STRINGA 46 21 1
BEGIN
 KEY "descrizione altri 2"
 PROMPT 22 49 ""
END

STRINGA 47 12 1
BEGIN
 KEY "imponibile 2"
 PROMPT 4 49 ""
END

STRINGA 48 3 1
BEGIN
 KEY "iva 2"
 PROMPT 17 49 ""
END

STRINGA 49 11 1
BEGIN
 KEY "imposta 2"
 PROMPT 22 49 ""
END

STRINGA 50 21 1
BEGIN
 KEY "descrizione altri 3"
 PROMPT 22 50 ""
END

STRINGA 51 12 1
BEGIN
 KEY "imponibile 3"
 PROMPT 4 50 ""
END

STRINGA 52 3 1
BEGIN
 KEY "iva 3"
 PROMPT 17 50 ""
END

STRINGA 53 11 1
BEGIN
 KEY "imposta 3"
 PROMPT 22 50 ""
END

STRINGA 54 21 1
BEGIN
 KEY "descrizione altri 4"
 PROMPT 22 51 ""
END

STRINGA 55 12 1
BEGIN
 KEY "imponibile 4"
 PROMPT 4 51 ""
END

STRINGA 56 3 1
BEGIN
 KEY "iva 4"
 PROMPT 17 51 ""
END

STRINGA 57 11 1
BEGIN
 KEY "imposta 4"
 PROMPT 22 51 ""
END

STRINGA 58 21 1
BEGIN
 KEY "descrizione altri 5"
 PROMPT 22 52 ""
END

STRINGA 59 12 1
BEGIN
 KEY "imponibile 5"
 PROMPT 4 52 ""
END

STRINGA 60 3 1
BEGIN
 KEY "iva 5"
 PROMPT 17 52 ""
END

STRINGA 61 11 1
BEGIN
 KEY "imposta 5"
 PROMPT 22 52 ""
END

STRINGA 62 6 1
BEGIN
 KEY "stampa totali"
 PROMPT 1 54 ""
END

STRINGA 63 12 1
BEGIN
 KEY "totale imponibile"
 PROMPT 4 54 ""
END

STRINGA 64 11 1
BEGIN
 KEY "totale imposta"
 PROMPT 22 54 ""
END

STRINGA 65 11 1
BEGIN
 KEY "totale importi netti"
 PROMPT 68 48 ""
END

STRINGA 66 11 1
BEGIN
 KEY "spese di imballo"
 PROMPT 43 50 ""
END

STRINGA 67 2 1
BEGIN
 KEY "cancella 'iva' per sp. tras"
 PROMPT 43 51 ""
END

STRINGA 68 8 1
BEGIN
 KEY "scritta spese di trasporto"
 PROMPT 45 51 ""
END

STRINGA 69 11 1
BEGIN
 KEY "totale imposta"
 PROMPT 68 52 ""
END

STRINGA 70 11 1
BEGIN
 KEY "totale fattura"
 PROMPT 68 54 ""
END

LISTA 72 1 1
BEGIN
 KEY "trasporto a cura del mitt."
 PROMPT 1 57 ""
 ITEM "|" // default
 ITEM "M|x"
 FIELD 33->CODSPMEZZO
END

LISTA 73 1 1
BEGIN
 KEY "trasporto a cura del dest."
 PROMPT 7 57 ""
 ITEM "|" // default
 ITEM "D|x"
 FIELD 33->CODSPMEZZO
END

STRINGA 74 1 1
BEGIN
 KEY "trasporto a cura del vett."
 PROMPT 15 57 ""
 ITEM "|" // default
 ITEM "V|x"
 FIELD 33->CODSPMEZZO
END

DATA 75 8 1
BEGIN
 KEY "data inizio trasporto"
 PROMPT 45 57 ""
 FIELD 33->DATAPART
 FORMAT "1444-"
END

STRINGA 76 5 1
BEGIN
 KEY "ora inizio trasporto"
 PROMPT 57 57 ""
 FIELD 33->ORAPART
END

STRINGA 77 40 1
BEGIN
 KEY "nominativo vettore"  // nell'originale (.gen) c'era: "nominativo vettore 1"
 PROMPT 1 59 ""
 FIELD 205@->S0
END

STRINGA 78 40 1
BEGIN
 KEY "indirizzo vettore"   // nell'originale (.gen) c'era: "nominativo vettore 2"
 PROMPT 1 60 ""
 FIELD 205@->S1            // il campo S1 e' usato per l'indirizzo vettore
END

STRINGA 79 41 1
BEGIN
 KEY "aspetto esteriore dei beni"
 PROMPT 1 63 ""
 FIELD 206@->S0
END

STRINGA 81 12 1
BEGIN
 KEY "peso"
 PROMPT 44 63 ""
 FIELD 33->PNETTO
END

STRINGA 82 8 1
BEGIN
 KEY "colli"
 PROMPT 57 63 ""
 FIELD 33->NCOLLI
END

END

END
